SystemOrganization addCategory: #'Mason-Cwp'!

MDProduct subclass: #MDMc2Product
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

MDMc2Product subclass: #MDDevImageProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDDevImageProduct methodsFor: 'as yet unclassified' stamp: 'cwp 12/14/2010 13:24'!
cleanupScript
	^ self scriptsDirectory / 'base-image-cleanup-4.1.cs'! !

!MDDevImageProduct methodsFor: 'as yet unclassified' stamp: 'cwp 12/14/2010 16:16'!
specifyOn: targets
	(targets directory) name: 'dev'; with: 
		[(targets image) name: 'dev'; baseImage: self squeakTrunkImage; with: 
			[(targets script) name: 'cleanup'; reference: self cleanupScript.
			MDMetacelloProduct new
				configuration: ConfigurationOfOmniBrowser;
				version: '1.2.2';
				required: 'Dev';
				specifyOn: targets]]! !

MDMc2Product subclass: #MDMc2Dev
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDMc2Dev methodsFor: 'as yet unclassified' stamp: 'cwp 10/16/2009 11:00'!
latest: packageName in: repository
	^ MDMc1LatestProduct 
		packageName: packageName 
		repository: repository! !

!MDMc2Dev methodsFor: 'as yet unclassified' stamp: 'cwp 10/16/2009 11:02'!
packageNames
	^ #('MC2-Umbrella')! !

!MDMc2Dev methodsFor: 'as yet unclassified' stamp: 'cwp 10/16/2009 15:13'!
specifyMc2On: targets
	| repository |
	repository := MCCacheRepository default.
	self packageNames do:
		[:name | targets specify: (self latest: name in: repository)]! !

!MDMc2Dev methodsFor: 'as yet unclassified' stamp: 'cwp 10/16/2009 15:13'!
specifyObOn: targets
	| repository |
	repository := MCCacheRepository default.
	MDMc1LatestProduct new
		packageName: 'OB-ExtDeps';
		repository: repository;
		specifyOn: targets.
	MDMc1LatestProduct new
		packageName: 'OB-Umbrella';
		repository: repository;
		specifyOn: targets! !

!MDMc2Dev methodsFor: 'as yet unclassified' stamp: 'cwp 10/16/2009 15:23'!
specifyOn: targets 
	 | repository |
	repository := MCCacheRepository default.
	targets image
		baseImage: self squeakTrunkImage;
		name: 'mc2';
		with: 
			["targets script reference: (self scriptsDirectory / 'base-image-cleanup-3.10.cs')."
			targets monticello with: 
				[targets specify: (self latest: 'OB-ExtDeps' in: repository).
				targets specify: (self latest: 'OB-Umbrella' in: repository).
				self packageNames do: 
					[:name | targets specify: (self latest: name in: repository)]]]! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 10/15/2009 01:34'!
cacheRepository
	^ self squeakLibrary / 'package-cache'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 10/15/2009 01:34'!
scriptsDirectory
	^ self squeakLibrary / 'scripts'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 10/16/2009 14:41'!
squeakLibrary
	^ FSDiskFilesystem / 'Users' / 'colin' / 'Library' / 'Squeak'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 12/14/2010 11:34'!
squeakTrunkImage
	^ self squeakLibrary / 'base' / 'Squeak4.2-10779-alpha' / 'Squeak4.2-10779-alpha.image'! !
